1. WorkspaceSubscriptions
OnlySocial
  • 🐶 OnlySocial API Walk through
  • Only Social
    • Accounts
      • List Accounts
      • Get an account
    • Media
      • List media files
      • Get a media file
      • Upload a media file
      • Delete a media file
      • Update a Media
    • Tags
      • List Tags
      • Get a tag
      • Create a tag
      • Delete a tag
      • Update a tag
    • Posts
      • List posts
      • Get a post
      • Create a post
      • Delete a post
      • Delete multiple post
      • Schedule a post
      • Add a post to Queue
      • Update a post
      • Approve a Post
    • Groups
      • Create a group
      • Update a group
      • Delete a Group
    • Users
      • List users
      • Create a user
      • Bulk delete users
      • Get user info
      • Update a user
      • Delete a user
    • Receipts
      • List receipts
      • Create a receipt
      • Bulk delete receipts
      • Update a receipt
      • Delete a receipt
    • Workspaces
      • List workspaces
      • Create a workspace
      • Bulk delete workspaces
      • Update a workspace
      • Delete a workspace
    • WorkspaceUsers
      • Attach user to workspace
      • Update workspace user role/ownership
      • Detach user from workspace
    • WorkspaceSubscriptions
      • Create a workspace subscription
        POST
      • Update workspace subscription
        PUT
      • Delete workspace subscription
        DELETE
      • Create a new workspace subscription (custom logic)
        POST
      • Change workspace subscription plan
        PUT
      • Cancel workspace subscription
        POST
      • Resume paused workspace subscription
        POST
      • Add generic subscription to workspace
        POST
      • Remove generic subscription from workspace
        DELETE
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
    • UserStore
    • UserUpdate
    • ReceiptStore
    • ReceiptUpdate
    • WorkspaceStore
    • WorkspaceUpdate
    • WorkspaceUserAttach
    • WorkspaceUserUpdate
    • WorkspaceSubscriptionStore
    • WorkspaceSubscriptionUpdate
  1. WorkspaceSubscriptions

Change workspace subscription plan

PUT
/panel/workspaces/{workspace}/subscription/change-plan

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Example
{
    "platform_plan_id": "plan_enterprise"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://app.onlysocial.io/os/api/panel/workspaces//subscription/change-plan' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "platform_plan_id": "plan_enterprise"
}'

Responses

🟢200
Plan changed
This response does not have a body.
Modified at 2026-06-14 08:07:00
Previous
Create a new workspace subscription (custom logic)
Next
Cancel workspace subscription
Built with